package org.netkernel.doc.endpoint;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;


/**
 * This engine will return the enclosed text in markup that will indicate this is an
 * "author's note either to self or others.
 */


public class AuthorNoteEngine extends StandardAccessorImpl
  {
  public AuthorNoteEngine()
    {
    this.declareThreadSafe();
    }


  @Override
  public void onSource(INKFRequestContext aContext) throws Exception
    {
    String type = aContext.getThisRequest().getArgumentValue("activeType");
    String operandValue = (String) aContext.source("arg:operand", String.class);
    if (type.endsWith("XHTML"))
      {
      // XHTML
      aContext.createResponseFrom("<span style=\"background-color: #FDFE9F;\">" + operandValue + "</span>");
      }
    else
      {  //Docbook
      aContext.createResponseFrom("<note><![CDATA[" + operandValue + "]]></note>");
      }
    }

  }
